
using System;
using System.Diagnostics;
using Microsoft.Practices.EnterpriseLibrary.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;

using Microsoft.Practices.EnterpriseLibrary.Security.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Kreeg.EnterpriseLibrary.Security.Database.Authorization;
using Kreeg.EnterpriseLibrary.Security.Database.Authorization.Configuration;

namespace Kreeg.EnterpriseLibrary.Security.Database.Configuration.Design
{
   
    /// <summary>
    /// Configuration Design Manager for a DbRulesAuthorizationProvider. <seealso cref="IConfigurationDesignManager"/>.
    /// </summary>
    public class DBRulesAuthConfigurationDesignManager : ConfigurationDesignManager
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SecurityAzManConfigurationDesignManager"/> class.
        /// </summary>
        public DBRulesAuthConfigurationDesignManager()
        {
            
        }

        /// <summary>
        /// <para>Registers the <see cref="AzManAuthorizationProviderNode"/> in the application.</para>
        /// </summary>
        /// <param name="serviceProvider">
        /// <para>The a mechanism for retrieving a service object; that is, an object that provides custom support to other objects.</para>
        /// </param>
        public override void Register(IServiceProvider serviceProvider)
        {
            DbRulesNodeMapRegisrar nodeMapRegistrar = new DbRulesNodeMapRegisrar(serviceProvider);
            nodeMapRegistrar.Register();

            DbRulesCommandRegistrar commandRegistrar = new DbRulesCommandRegistrar(serviceProvider);
            commandRegistrar.Register();
        }


    }
}